## mir-eval 0.7

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/mir_eval.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/mir_eval.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/mir_eval"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/mir_eval"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
mir-eval (0.7-9) unstable; urgency=medium

  * debian/control: Bumped Standards-Version to 4.7.0
  * debian/patches: Added patch header
  * debian/rules: Skip tests with error

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Thu, 03 Oct 2024 21:50:37 -0300

mir-eval (0.7-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch-out dependency on python3-nose that is being removed.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Sep 2024 21:59:58 +0200

mir-eval (0.7-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove extraneous dependency on python3-future
    that is being removed.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 14 Dec 2023 01:50:01 +0100

mir-eval (0.7-7) unstable; urgency=medium

  * debian/tests/control: Tests modified to fix for i386 architecture (Closes: #1035262)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 23 Aug 2023 21:43:28 -0300

mir-eval (0.7-6) unstable; urgency=medium

  * Bug fixed (Closes: #1035262)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 12 Aug 2023 08:42:51 -0300

mir-eval (0.7-5) unstable; urgency=medium

  * d/tests: Add autopkgtests (Closes: #1035262)
  * d/patches: Add tag "Forwarded: not-needed"

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 11 Aug 2023 22:43:06 -0300

mir-eval (0.7-4) unstable; urgency=medium

  * d/control: Bumped Standards-Version 4.6.2
  * Fixing FTBFS

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 08 Aug 2023 20:22:04 -0300

mir-eval (0.7-3) unstable; urgency=medium

  * debian/copyright: copyright year update
  * debian/patch:
     -numpy library deprecated attribute update (Closes: #1027652)
     -allow more test_chord warnings
  * debian/rules: skipped tests with errors

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 17 Jan 2023 03:51:47 -0300

mir-eval (0.7-2) unstable; urgency=medium

  * Upload to unstable
  * debian/rules: ignore test with error
  * debian/clean: include directory build waste

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 08 Oct 2022 18:00:00 -0300

mir-eval (0.7-1) experimental; urgency=medium

  * Initial release. (Closes: #1015152)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 16 Jul 2022 00:06:37 -0300

=== debian/control ===
Source: mir-eval
Section: python
Priority: optional
Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-matplotlib,
               python3-pytest,
               python3-numpy,
               python3-scipy,
               python3-setuptools,
               python3-six,
               python3-sphinx,
               python3-numpydoc,
Standards-Version: 4.7.0
Homepage: https://github.com/craffel/mir_eval
Vcs-Browser: https://salsa.debian.org/debian/mir-eval
Vcs-Git: https://salsa.debian.org/debian/mir-eval.git

Package: python3-mir-eval
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-mir-eval-doc
Description: Common metrics for common audio/music processing tasks
 Python library for computing common heuristic accuracy scores for
 various music/audio information retrieval/signal processing tasks.
 .
 This package provides the Python 3.x module.

Package: python-mir-eval-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Improved Python mir-eval module from (cammon documentation)
 Python library for computing common heuristic accuracy scores for
 various music/audio information retrieval/signal processing tasks.
 .
 This package contains HTML documentation, incorporates instructions on how
 to install and configure and use this module Python mir-eval.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=mir-eval
export PYBUILD_TEST_ARGS=-k 'not test_load_tempo and not test_load_bad_tempi and not to_cent_voicing and not test_sonify.py'

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -bhtml docs/ debian/html

=== debian/tests/control ===
Test-Command: python3 -m pytest tests/test_segment.py -p no:warnings
 && python3 -m pytest -v -s tests/test_separation.py -p no:warnings
 && python3 -m pytest -v -s tests/test_tempo.py -p no:warnings
 && python3 -m pytest -v -s tests/test_hierarchy.py -p no:warnings
 && python3 -m pytest -v -s tests/test_key.py -p no:warnings
 && python3 -m pytest -v -s tests/test_onset.py -p no:warnings
 && python3 -m pytest -v -s tests/test_pattern.py -p no:warnings
Depends: @, python3-all, python3-pytest, python3-numpy, python3-matplotlib,
Restrictions: allow-stderr

## mir-eval 0.8.2

=== debian/changelog ===
mir-eval (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2 (Closes: #1085725)
  * debian/clean:
     - Added directories: debian/doctrees
     - Removed directories: mir_eval.egg-info and debian/html
  * debian/control:
     - Added Build-depends for Build docs-sphinx
     - Added Build-depends for running tests
     - Added Testsuite: autopkgtest-pkg-pybuild
     - Applied 'wrap-and-sort -a'
     - Fixed spelling error in short description (Closes: #1091725)
     - Removed Built-Using: ${sphinxdoc:Built-Using}

  * debian/patches:
     - Updated Fuzzy patching 001.reduce-tolerance.patch
     - Removed patches fixed in new upstream version:
        - 002.workaround-removed-mathplotlib-imports.patch
        - 003.allow-more-test_chord-warnings.patch
        - 004.fix-name-attibute.patch
        - 005.no-future.patch
  * debian/python-mir-eval-doc.docs:
     - Removed debian/html directory no longer needed
  * debian/rules:
     - Added build-time directories for running tests
     - Modified sphinx-doc build
  * debian/tests:
     - Replaced by autopkgtest-pkg-pybuild

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 02 Mar 2025 12:55:59 -0300

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,23 @@
                dh-sequence-python3,
                python3-all,
                python3-matplotlib,
-               python3-pytest,
+               python3-matplotlib <!nodoc>,
                python3-numpy,
+               python3-numpydoc,
+               python3-numpydoc <!nodoc>,
+               python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
+               python3-pytest-mpl <!nocheck>,
                python3-scipy,
                python3-setuptools,
                python3-six,
                python3-sphinx,
-               python3-numpydoc,
+               python3-sphinx-rtd-theme <!nodoc>
 Standards-Version: 4.7.0
 Homepage: https://github.com/craffel/mir_eval
 Vcs-Browser: https://salsa.debian.org/debian/mir-eval
 Vcs-Git: https://salsa.debian.org/debian/mir-eval.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-mir-eval
 Architecture: all
@@ -36,8 +42,8 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
-Description: Improved Python mir-eval module from (cammon documentation)
+#Built-Using: ${sphinxdoc:Built-Using}
+Description: Improved Python mir-eval module from (common documentation)
  Python library for computing common heuristic accuracy scores for
  various music/audio information retrieval/signal processing tasks.
  .

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=mir-eval
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests/data/ {dir}/tests/baseline_images {build_dir}/
export PYBUILD_TEST_ARGS=-v
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/data/  {build_dir}/baseline_images/

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

# sphinx documentation
execute_before_dh_sphinxdoc:
	http_proxy='http://127.0.0.1:9/' python3 -m sphinx  -d debian/doctrees  \
	-N -bhtml  docs/ debian/python-mir-eval-doc/usr/share/doc/python-mir-eval-doc/html

execute_after_dh_sphinxdoc:
	find debian/python3-mir-eval/ -name 'coverage.xml' -delete

=== debian/watch ===
version=4
https://github.com/craffel/mir_eval/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
